openSUSE Security Update : vte/gnome-terminal (openSUSE-SU-2012:0931-1)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

- Add vte-CVE-2011-2198.patch: fix memory exhaustion
through malicious escape sequences. Fix bnc#699214,
CVE-2011-2198 (openSUSE 11.4 only).

- Add vte-CVE-2012-2738.patch: fix potential DoS through
malicious escape sequences. Fix bnc#772761,
CVE-2012-2738.

See also :

http://lists.opensuse.org/opensuse-updates/2012-08/msg00001.html
https://bugzilla.novell.com/show_bug.cgi?id=699214
https://bugzilla.novell.com/show_bug.cgi?id=772761

Solution :

Update the affected vte/gnome-terminal packages.

Risk factor :

Medium / CVSS Base Score : 4.0
(CVSS2#AV:N/AC:L/Au:S/C:N/I:N/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 74696 ()

Bugtraq ID:

CVE ID: CVE-2011-2198
CVE-2012-2738

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now